> ## Documentation Index
> Fetch the complete documentation index at: https://spidocs.chargebee.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch the health status of the Service Provider.

> This endpoint is used to fetch the health status of the Service Provider.



## OpenAPI

````yaml get /health
openapi: 3.0.3
info:
  description: >
    ## Overview

    Location validate is a Service Provider Interface (SPI) that helps Chargebee
    communicate with API platforms providing the following services:

    - Validate location of customer


    If you have an API that provides the services mentioned above and want
    Chargebee to be able to integrate with it, you can build an adapter service
    according to this specification.


    ## Terminology

    Here's a list of terms we've used to describe this specification.

    ### Merchant 
      Chargebee’s customer who is carrying out the business of selling products. Also known as the Seller. The Seller has one or more Chargebee accounts.
    ### Chargebee 
     The SaaS which manages subscriptions and revenue operations on behalf of the Merchant. Chargebee makes API calls to the Tax Service Adapter for tax estimation and tax filing of transactions between the Merchant and the Customer.
    ### Customer 

    Merchant’s customer who purchases products from the Merchant. Their customer
    record(s) and other details are stored within Chargebee under the Merchant’s
    account.

    ### Service Provider

    The service which provides services for merchants.

    ### Service Adapter 

    The SPI for which the spec is defined in this document. This adapter serves
    the following purposes:

    - Translates API requests (as defined in this document) from Chargebee to
    the request format specified by the Service Provider's API.

    - Translates API responses from the Service Provider APIs to the format
    understood by Chargebee (as defined in this document).

    ### Authorization

    Chargebee uses HTTP header-based authorization for all the API endpoints
    associated with Service Adapter. We dynamically pass this authorization key
    in the HTTP header. The parameter that holds this key is found in the JSON
    object `api_configuration` required for configuring your onboarding on
    Chargebee's marketplace. In the `api_configuration` object, our [Taxes
    Service Adapter SPI](https://chargebee.atlassian.net/l/cp/ca5aZ1mA) checks
    the authorization key parameter from `credential_configuration.id` and
    creates the HTTP header-based input query parameter for authorization. The
    `credential_configuration` is an array of objects with an `id` attribute,
    and the value of `id` is the parameter containing the authorization key.

      Following are the JSON snippets for your reference.

       ```json
          "api_configuration": {
              "api_base_url": "https://xyz.abc.com/chargebee",
              "credential_configuration": [ 
                {
                  "id":"authorization_key",
                  "name": "Authorization Key", 
                  "type": "text",
                  "is_sensitive": true 
                },
                {
                  "id": "client_secret",
                  "name": "Client Secret",
                  "type": "text",
                  "is_sensitive": true
                }
              ]
            }
       ```
  title: Tax Location Validation Service Adapter SPI
  version: 0.0.1
servers:
  - description: Production SPI server.
    url: https://rest.taxes.provider.com/api/v1
  - description: Sandbox SPI server.
    url: https://sandbox.taxes.provider.com/api/v1
security:
  - bearerAuth: []
  - apiKey: []
tags:
  - description: >-
      Endpoints to validate the credentials used for calling the Service
      Provider.
    name: Authentication
  - description: >-
      Endpoints to monitor the health of the Service Provider and the Service
      Adapter.
    name: Health
  - description: Endpoints to validate the location of the end customer.
    name: LocationValidate
paths:
  /health:
    get:
      tags:
        - Health
      summary: Fetch the health status of the Service Provider.
      description: >-
        This endpoint is used to fetch the health status of the Service
        Provider.
      operationId: fetchHealth
      responses:
        '200':
          content:
            application/json:
              example:
                status: UP
                version: 1.0.0
                description: The service is healthy.
                components:
                  - id: app-db-memory
                    name: Application Database
                    type: DATABASE
                    status: UP
                  - id: adapter-server
                    name: Adapter API Server
                    type: ADAPTER
                    status: UP
                  - id: service-server
                    name: API Server
                    type: API
                    status: UP
                time: '2022-11-01T05:12:08.131Z'
              schema:
                $ref: '#/components/schemas/HealthCheckResponse'
          description: Service is healthy.
        '429':
          description: Too many requests.
        '500':
          content:
            application/json:
              examples:
                Error500:
                  $ref: '#/components/examples/Error500Response'
              schema:
                $ref: '#/components/schemas/BasicErrorResponse'
          description: Unexpected error while processing request.
        '503':
          content:
            application/json:
              example:
                status: DOWN
                version: 1.0.0
                description: The service is unhealthy. Several components are down.
                components:
                  - id: app-db-memory
                    name: Application Database Memory Usage
                    type: DATABASE
                    status: UP
                  - id: adapter-server
                    name: Adapter API Server
                    type: ADAPTER
                    status: DOWN
                  - id: service-server
                    name: API Server
                    type: API
                    status: DOWN
                time: '2022-11-01T05:12:08.131Z'
              schema:
                $ref: '#/components/schemas/HealthCheckResponse'
          description: Service is unhealthy.
      security:
        - {}
components:
  schemas:
    HealthCheckResponse:
      example:
        components:
          - endpoints:
              - endpoints
              - endpoints
            name: name
            description: description
            id: id
            type: OTHER
            status: null
          - endpoints:
              - endpoints
              - endpoints
            name: name
            description: description
            id: id
            type: OTHER
            status: null
        description: description
        time: '2000-01-23T04:56:07.000Z'
        version: version
        status: null
      properties:
        version:
          minLength: 1
          type: string
        description:
          description: >-
            The description of the health status returned by the Service
            Adapter.
          maxLength: 250
          type: string
        status:
          $ref: '#/components/schemas/HealthStatus'
        components:
          description: >-
            List of health status details for each component reported by the
            Service Adapter.
          items:
            $ref: '#/components/schemas/HealthCheckComponent'
          type: array
        time:
          description: The timestamp of the health status reported by the Service Adapter.
          format: date-time
          type: string
      required:
        - components
        - status
        - time
      type: object
    BasicErrorResponse:
      additionalProperties: false
      description: >-
        The basic error response containing the error message and the help
        documentation link.
      properties:
        message:
          description: The description of the error with details about it's cause.
          example: Invalid Credentials
          maxLength: 250
          type: string
        helpUrl:
          description: >-
            The link to the documentation for more information about the error
            and the corrective action.
          example: https://apidocs.chargebee.com#Authentication
          format: uri
          type: string
      required:
        - message
      type: object
    HealthStatus:
      description: The status of a specific component reported by the Service Adapter.
      enum:
        - UP
        - DOWN
        - WARN
      type: string
    HealthCheckComponent:
      description: >-
        The health status details of a specific component reported by the
        Service Adapter.
      example:
        endpoints:
          - endpoints
          - endpoints
        name: name
        description: description
        id: id
        type: OTHER
        status: null
      properties:
        id:
          description: The id of the component.
          maxLength: 50
          type: string
        name:
          description: The name of the component.
          maxLength: 150
          type: string
        type:
          description: >
            The type of component affected when `status` is `WARN` or `DOWN`.
            The possible values are:

            - `ADAPTER`: The reported status is for the Service Adapter.

            - `API`: The reported status is for the Service Provider.

            - `DATABASE`: The reported status is for a database dependency of
            the Service Provider.

            - `SYSTEM`: The reported status is for any other known system
            component such as cache or gateway.

            - `OTHER`: The reported status is either for a component that does
            not belong to the types described above or the source of the issue
            is unknown.
          enum:
            - OTHER
            - SYSTEM
            - API
            - ADAPTER
            - DATABASE
          type: string
        description:
          description: The detailed status of the component.
          maxLength: 250
          type: string
        status:
          $ref: '#/components/schemas/HealthStatus'
        endpoints:
          description: >-
            When the `status` of the component is not `UP`, then the list of
            endpoints affected.
          items:
            type: string
          type: array
      required:
        - id
        - name
        - status
        - type
      type: object
  examples:
    Error500Response:
      description: Unexpected error during processing the request.
      summary: Unexpected error.
      value:
        message: Unexpected error during processing the request.
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    apiKey:
      description: Bearer token based authentication.
      in: header
      name: bearer
      type: apiKey

````